<?php
// +----------------------------------------------------------------------
// | 添加
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;
use app\common\controller\_Admin;

class admin_create extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->ajax($param);
        }

        $list = self::menu_make($this->get_branch(1));
        $this->assign('role', $this->select_menu($list));

        $list = self::menu_make($this->get_role());
        $this->assign('branch', $this->select_menu($list));

        return $this->fetch();
    }
    
    private function ajax($param=[]) {
        if (empty($param['name'])) return $this->_json('01', '请输入账号(真实姓名)！');
        if (empty($param['pwd'])) return $this->_json('01', '请输入密码！');

        $res = \think\Db::name('admin')->where('name', $param['name'])->find();
        if ($res) return $this->_json('01', '该账号名称已被使用，请更换！');

        $data = [
            'name' => $param['name'],
            'role_id' => $param['role_id'],
            'branch_id' => $param['branch_id'],
            'branch_id' => $param['branch_id'],
            'phone' => $param['phone'],
            'sex' => $param['sex'],
            'status' => !empty($param['status']) ? 1 : 0,
            'quit_time' => $param['quit_time'] ? strtotime($param['quit_time']) : '',
            'create_time' => time(),
        ];
        $data['pwd'] = md5($param['pwd'].$data['create_time']);
        
        $res = \think\Db::name('admin')->insert($data);
        if ($res) return $this->_json('00', '创建员工成功！');
        return $this->_json('01', '创建员工失败！');
    }
}
