<?php
// +----------------------------------------------------------------------
// | 修改
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;
use app\common\controller\_Admin;

class branch_update extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->ajax($param);
        }
        $data = \think\Db::name('branch')->where('id', $param['id'])->find();
        $info = \think\Db::name('branch')->where('id', $data['pid'])->find();
        $this->assign('data', $data);
        $this->assign('info', $info);

        return $this->fetch();
    }
    
    private function ajax($param=[]) {
        if (empty($param['branch_title'])) return $this->_json('01', '请输入部门名称！');

        $data = [
            // 'pid' => $param['pid'],
            'branch_title' => $param['branch_title'],
            'sort' => $param['sort'],
            'status' => !empty($param['status']) ? 1 : 0,
        ];

        $res = \think\Db::name('branch')->where('id', $param['id'])->update($data);
        if ($res) return $this->_json('00', '修改部门成功！');
        return $this->_json('01', '修改部门失败！');
    }
}
