<?php
// +----------------------------------------------------------------------
// | 菜单
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;
use app\common\controller\_Admin;

class menu_index extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->ajax($param);
        }
        
        $this->assign('layui', true);
        return $this->fetch();
    }
    
    private function ajax($param=[]) {
        $list = \think\Db::name('menu')->order('id ASC, pid ASC')->field('id as authorityId, pid as parentId, title, controller, action, icon, sort, status,display, param,"true" as open')->select();
        
        return json_encode([
            "code" => 0,
            "msg" => "",
            "count" => count($list),
            "data" => $list
        ]);
    }
}