<?php
// +----------------------------------------------------------------------
// | 编辑器图片提交
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Common;
use app\common\controller\_Admin;
use think\facade\Session;

class update_img extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        $file = request()->file('file');
        if($file){
            $info = $file->validate(['size'=>1024*1024*20,'ext'=>'jpg,png,gif,JPG,jpeg'])->move(ROOT_PATH.__PULOADS__);
            if($info){
                $url = __PULOADS__.'/'.str_replace('\\', '/', $info->getSaveName()); 
                // 成功上传后 获取上传信息
                echo json_encode([
                    'location' => $url
                ], JSON_UNESCAPED_UNICODE);
                exit;
            }
            # 上传失敗獲取错误資訊
            echo $file->getError();
            exit;
        }
    }
    
}
