<?php
// +----------------------------------------------------------------------
// | 修改密码
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Index;
use app\common\controller\_Admin;
use think\facade\Session;

class pwd extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->ajax($param);
        }
        return $this->fetch();
    }
    
    private function ajax($param=[]) {
        if (empty($param['pwd'])) return $this->_json('01', '请输入当前密码');
        if (empty($param['pwd2'])) return $this->_json('01', '请输入新密码');
        $pwd = md5($param['pwd'].$this->admin['create_time']);
        $pwd2 = md5($param['pwd2'].$this->admin['create_time']);

        if ($pwd != $this->admin['pwd']) return $this->_json('01', '当前密码错误！');
        if ($pwd == $pwd2) return $this->_json('01', '新密码不能与旧密码一致！');

        $res = \think\Db::name('admin')->where('id', $this->admin['id'])->update([
            'pwd' => md5($param['pwd2'].$this->admin['create_time']),
        ]);
        if ($res) {
            Session::set('admin', false);
            echo $this->_json('00', '密码修改成功，请重新登录！');
            exit;
        }
        
        return $this->_json('01', '密码修改失败！');
    }
}
