<?php
// +----------------------------------------------------------------------
// | 处理登陆
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Login;
use app\common\controller\_Admin;
use think\facade\Session;

class send extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (empty($param['name'])) return $this->_json('01', '请输入账号');
        if (empty($param['pwd'])) return $this->_json('01', '请输入密码');

        // 校验示例
        $res = $this->https_request('https://blog.junphp.com/api/geetest_captcha/php/v1/ajax_vif.php', [
            'appid' => 'blog.junphp.com',
            'junphp_session_id' => $param['junphp_session_id'],
            'junphp_appkey' => $param['junphp_appkey'],
            'junphp_sign' => $param['junphp_sign'],
            'junphp_time' => $param['junphp_time'],
            'junphp_geetest' => $param['junphp_geetest'],
            'junphp_yes' => $param['junphp_yes'],
        ]);
        $arr = json_decode($res, true);
        if ($arr['code'] != '00') {
            die($res);
        }

        $admin = \think\Db::name('admin')->where('name', $param['name'])->find();
        if (!$admin) return $this->_json('01', '账号或密码错误！');
        if ($admin['pwd'] != md5($param['pwd'].$admin['create_time'])) return $this->_json('01', '账号或密码错误！');

        Session::set('admin', $admin);
        
        return $this->_json('00', '登录成功！');
    }
    
    public function https_request($url, $data = null){
        # 初始化一个cURL会话
        $curl = curl_init();  
        //设置请求选项, 包括具体的url
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, FALSE);  //禁用后cURL将终止从服务端进行验证
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, FALSE);
        if (!empty($data)){
            curl_setopt($curl, CURLOPT_POST, 1);  //设置为post请求类型
            curl_setopt($curl, CURLOPT_POSTFIELDS, $data);  //设置具体的post数据
        }
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);        
        $response = curl_exec($curl);  //执行一个cURL会话并且获取相关回复
        curl_close($curl);  //释放cURL句柄,关闭一个cURL会话
        return $response;
    }
}
