<?php
// +----------------------------------------------------------------------
// | 修改网站配置
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;
use app\common\controller\_Admin;

class config_index extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->ajax($param);
        }
        $info = \think\Db::name('config')->where('id', 1)->find();
        $this->assign('info', $info);
        return $this->fetch();
    }
    
    private function ajax($param=[]) {
        
        $res = \think\Db::name('config')->where('id', 1)->update($param);
        if ($res) return $this->_json('00', '修改网站配置成功！');
        return $this->_json('01', '修改网站配置失败！');
    }
}
