<?php
// +----------------------------------------------------------------------
// | 上传图片
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Common;

use app\common\controller\_Admin;

class post_img extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
        // 启动模板布局
        $this->view->engine->layout(false);
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        $file = request()->file('file');

        if($file){
            $info = $file->validate(['size'=>(1024*1024*10),'ext'=>'jpg,png,gif'])->move(ROOT_PATH.__PULOADS__);
            if($info){
                $url = __PULOADS__.'/'.str_replace('\\', '/', $info->getSaveName()); 
                return $this->_json('00', '头像上传成功！', $url);
            }
            return $this->_json('01', '头像上传失败：'.$file->getError());
        }
    }
    
}
