<?php
// +----------------------------------------------------------------------
// | 心跳提交
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Index;
use app\common\controller\_Admin;
use think\facade\Session;

class heartbeat extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->ajax($param);
        }
        return $this->fetch();
    }
    
    private function ajax($param=[]) {
        \think\Db::name('admin')->where('id', $this->admin['id'])->update([
            'heartbeat_time' => time(),
        ]);
        return $this->_json('00', '心跳提交成功！');
    }
}
