<?php
// +----------------------------------------------------------------------
// | 登录掉线
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Index;
use app\common\controller\_Admin;
use think\facade\Session;

class login extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->ajax($param);
        }
        // 关闭模板布局
        $this->view->engine->layout(false);
        return $this->fetch();
    }
    
    private function ajax($param=[]) {
        if (empty($param['pwd'])) return $this->_json('01', '请输入密码确认登录');
        $pwd = md5($param['pwd'].$this->admin['create_time']);
        if ($pwd != $this->admin['pwd']) return $this->_json('01', '密码错误！');

        $res = \think\Db::name('admin')->where('id', $this->admin['id'])->update([
            'heartbeat_time' => time(),
        ]);
        if ($res) {
            echo $this->_json('00', '登录成功！');
            exit;
        }
        
        return $this->_json('01', '登录失败！');
    }
}
