<?php
namespace org;

class ExcelTable {
    /**
     * 需要生成的长度
     * @todo 无
     * @author 小黄牛
     * @version v1.2.16 + 2020.10.27
     * @deprecated 暂不启用
     * @global 无
     * @param int $num 生成个数
     * @return array
    */
    public static function run($num) {
        $list = [];
        for ($i=1; $i<=$num; $i++) {
            $list[] = self::getExcelValue($i);
        }
        return $list;
    }

    /**
     * 按位生成列
     * @todo 无
     * @author 小黄牛
     * @version v1.2.16 + 2020.10.27
     * @deprecated 暂不启用
     * @global 无
     * @param int $index 列数
     * @return void
    */
    private static function getExcelValue($index) {  
        $index = (int)$index;if ($index <= 0) return; //输入检测  
        $dimension = ceil(log(25 * $index + 26, 26)) - 1;  //算结果一共有几位，实际算的是位数减1，记住是26进制的位数  
        $n = $index - 26 * (pow(26, $dimension- 1) - 1) / 25; //算结果在所在位数总数中排第几个  
        $n--; //转化为索引  
       
        return str_pad(  
            str_replace(  
                array_merge(range(0, 9), range('a', 'p')),   
                range('A', 'Z'), base_convert($n, 10, 26)  
            ), $dimension, 'A', STR_PAD_LEFT  
        ); //翻译加补齐  
    } 
}